POST api/Order
Request Information
URI Parameters
None.
Body Parameters
PlaceOrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Currency | string |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| OrderLines | Collection of PlaceOrderLineDto |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentMethod | string |
None. |
|
| IsSubscription | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"currency": "sample string 1",
"personId": "536893af-2570-49b3-b9ad-4b28792b0493",
"orderLines": [
{
"count": 1,
"campaignId": "eeb89c90-c2e6-4ed4-a81c-132a10838d79",
"productId": "b7cd0566-7b0d-4439-a38c-44b56ec6a436"
},
{
"count": 1,
"campaignId": "eeb89c90-c2e6-4ed4-a81c-132a10838d79",
"productId": "b7cd0566-7b0d-4439-a38c-44b56ec6a436"
}
],
"deliveryMethod": "sample string 2",
"paymentMethod": "sample string 3",
"isSubscription": true
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.